Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ValueAllCIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes

struct | NodeConverter

## Public Types

using | IterT = typename NodeT::ValueAllCIter

## Static Public Member Functions

static IterT | begin (const NodeT &node)
static ChildT * | getChild (const typename NodeT::ValueAllCIter &)

## Member Typedef Documentation

## IterT

template<typename NodeT>

using IterT = typename NodeT::ValueAllCIter

## Member Function Documentation

## begin()

template<typename NodeT>

IterT begin | ( | const NodeT & | node | ) |

inline static

## getChild()

ChildT * getChild | ( | const typename NodeT::ValueAllCIter & |  | ) |

inline static